/******************************************************
	DosMacConsole.h

  Definitions of functions for the use of console 
  in mac and dos.

  Each OS should be defined in the first line by 
  uncommenting necessary line.

  Naoki Sato Sept. 1996
  
  Integrated DOS,Mac,Unix version. Aug. 1997
  Revised Dec. 1997.
  Added fonts support in CodeWarrior. Feb. 2000.
  
  --- Do not delete this comment.---
*******************************************************/
#define DOS		/* Uncomment if compiled for DOS */
/*#define MAC		  Uncomment if compiled for Mac */
/*#define UNIX	 Uncomment if compiled for UNIX */

#ifdef MAC
#define CODEWARRIOR	/* This should be defined if compiled with Code Worrior. */
#endif

/* To compile an integrated siseq program, define this. */
#define INTEGRATED 

/* Define this to use Japanese messages. In unix environment, 
this can be defined in the makefile */
#define JAPANESE

#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>  
#include <time.h>

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#ifndef EOF
#define EOF (-1)
#endif

#ifndef Boolean
#define Boolean char
#endif


/* Various defines for Mac */
#ifdef MAC
#include <console.h>  /* for the use of console window in mac */

#ifdef CODEWARRIOR
#include <sioux.h>	/* Window settings */
#include <unix.h>	/* Setting file type and creator */
#include <fonts.h>

#ifndef CREATOR_NAME
#define 	CREATOR_NAME 'Edt7'
/* 
#define 	CREATOR_NAME 'ttxt'
#define 	CREATOR_NAME 'CWIE'
*/
#endif

#ifndef FILETYPE_NAME
#define		FILETYPE_NAME 'TEXT'
#endif

#endif
/* end defines for codewarrior */

#endif
/* end defines for Mac */
