/*******************************************
Global variables for siseq package
File: glovar.h

Naoki Sato Jan 1998

Added aaname. May 13, 1999.
Added exon_inf_mode. Jan. 17, 2007.

Do not remove this comment
*******************************************/

/* Global variables */

#ifndef _GETSEQ_GLOBAL
#define _GETSEQ_GLOBAL

char *filetype_name[]={
	"raw","fasta","genbank","embl","swiss","embl_unknown","prf"};
	
char *residue_code_name="*ACDEFGHIKLMNPQRSTUVWXY";

char *data_type_name[]={
	"unknown","DNA","RNA","protein"};

int print_line=PRINTLINE;

Boolean circular=FALSE;
Boolean to_stdout=FALSE;
Boolean exon_inf_mode=FALSE;

long num_seq=0L;

#ifdef MAC
Boolean CMDQ=FALSE;
#endif

char aaname[20][2][10]={
                {"Ala","A"},
                {"Cys","C"},
                {"Asp","D"},
                {"Glu","E"},
                {"Phe","F"},
                {"Gly","G"},
                {"His","H"},
                {"Ile","I"},
                {"Lys","K"},
                {"Leu","L"},
                {"Met","M"},
                {"Asn","N"},
                {"Pro","P"},
                {"Gln","Q"},
                {"Arg","R"},
                {"Ser","S"},
                {"Thr","T"},
                {"Val","V"},
                {"Trp","W"},
                {"Tyr","Y"}
};

#endif

/*********** end of file glovar.h **************/
